cd F:/spcluster/revision/supplementary;
rng(22);

N  = 2500;
XX = rand([N 2]);
d  = pdist2(XX, XX);
C  = 1* exp(-4*d);

F = mvnrnd(zeros(1,N), C);
YY = -4*sin(XX(:,1)) + 2* cos(XX(:,2)) + F' + 0.1* randn(N, 1);
writematrix([XX YY], "data/syndat.csv");
